dots.v2.security.secrets.bySecret().put()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.security.secrets.bySecret(secret).put(body: WithSecretPutRequestBody, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Create_secret_response>Description
To update a secret, send a PUT request to /v2/security/secrets/{secret}.
version is the secret’s current version. If it does not match, the request
returns a 409 response and the secret is not changed.
Parameters
Path Parameters
secretstring requiredExample:
my-database-passwordThe name of the secret.
Request Body
regionstring requiredExample:
nyc3The region where the secret is stored.
versioninteger requiredExample:
1The current version of the secret to update.
valuesobject requiredExample:
{"password": "n3w-s3cr3t"}Updated key-value pairs for the secret.
Response Example
More Information
See /v2/security/secrets/{secret} in the API reference for additional detail on responses, headers, parameters, and more.